Summary:	Mercurial authentication and authorization tools
Name:		mercurial-server
Version:	1.3
Release:	%mkrel 20
License:	GPLv2
Group:		Development/Other
Url:		http://www.lshift.net/mercurial-server.html
Source0:	http://dev.lshift.net/paul/%{name}/%{name}_%{version}.tar.gz
Source1:	README.install.urpmi
BuildArch:	noarch
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
Requires:	mercurial
Requires:	openssh-server
Requires(postun): shadow-utils
Requires(pre):	shadow-utils

%description
mercurial-server gives your developers remote read/write access to centralized
Mercurial repositories using SSH public key authentication; it provides
convenient and fine-grained key management and access control.

%prep
%setup -q

# port to python3
2to3-%{python3_version} -w src/hg-ssh src/mercurialserver/*.py src/refresh-auth

%build
%py3_build

%install
%__install -d -m 755 %{buildroot}%{_sysconfdir}/mercurial-server/keys/root
%__install -d -m 755 %{buildroot}%{_sysconfdir}/mercurial-server/keys/users
%__install -m 644 src/init/conf/access.conf %{buildroot}%{_sysconfdir}/mercurial-server/

%__install -d -m 755 %{buildroot}%{_sysconfdir}/remote-hgrc.d
%__install -m 644 src/init/conf/remote-hgrc.d/* %{buildroot}%{_sysconfdir}/remote-hgrc.d

%py3_install -- --install-scripts=%{_datadir}/%{name} --install-data=%{_datadir}/%{name}

%__install -m 755 -d %{buildroot}/%{_localstatedir}/hg

pushd doc
xsltproc --nonet -o ../manual.html /usr/share/sgml/docbook/xsl-stylesheets/html/docbook.xsl manual.docbook
popd

%__install -m 0644 %{_sourcedir}/README.install.urpmi README.install.urpmi

%pre
getent group hg || /usr/sbin/groupadd -r hg
getent passwd hg >/dev/null || /usr/sbin/useradd -d /var/hg -g hg -s /bin/bash -r hg

%post
# .mercurial-server needs to be in the hg user directory:
[ ! -e ~hg/.mercurial-server ] && /usr/bin/su hg -s /bin/bash -c "install -m 600 /usr/share/mercurial-server/init/dot-mercurial-server ~hg/.mercurial-server"

[ -d /var/hg ] && [ ! -d /var/hg/repos ] && \
chown -R hg:hg /var/hg && \
/bin/su -s /bin/bash hg -c "/usr/share/mercurial-server/init/hginit /usr/share/mercurial-server"


%postun
if [ $1 -eq 0 ] ; then
/usr/sbin/userdel hg > /dev/null || true
[ -d /var/hg ] && rm -rf /var/hg
fi

%files
%doc CREDITS LICENSE NEWS README manual.html README.install.urpmi
%dir %{_sysconfdir}/mercurial-server
%config(noreplace) %{_sysconfdir}/mercurial-server/keys/
%config(noreplace) %{_sysconfdir}/mercurial-server/access.conf
%{_sysconfdir}/remote-hgrc.d/access.rc
%{_sysconfdir}/remote-hgrc.d/logging.rc
%dir %attr(-,hg,hg) %{_localstatedir}/hg
%{_datadir}/mercurial-server/
%{python3_sitelib}/*egg-info
%{python3_sitelib}/mercurialserver/


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.3-20.mga9
+ Revision: 1820720
- Mageia 9 Mass Rebuild

* Sat Jun 26 2021 tmb <tmb> 1.3-19.mga9
+ Revision: 1733562
- rebuild for python 3.9

* Sat Jun 26 2021 wally <wally> 1.3-18.mga9
+ Revision: 1732392
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.3-17.mga8
+ Revision: 1533553
- Mageia 8 Mass Rebuild

* Sun Sep 22 2019 daviddavid <daviddavid> 1.3-16.mga8
+ Revision: 1444586
- rebuild for python3.8

* Tue Aug 27 2019 wally <wally> 1.3-15.mga8
+ Revision: 1433710
- port to python3

* Wed Sep 19 2018 umeabot <umeabot> 1.3-14.mga7
+ Revision: 1264248
- Mageia 7 Mass Rebuild

* Fri Feb 19 2016 umeabot <umeabot> 1.3-13.mga6
+ Revision: 969576
- Mageia 6 Mass Rebuild

* Tue Sep 01 2015 philippem <philippem> 1.3-12.mga6
+ Revision: 872039
- move message as README.install.urpmi mga#16567

* Wed Oct 15 2014 umeabot <umeabot> 1.3-11.mga5
+ Revision: 745458
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3-10.mga5
+ Revision: 727233
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3-9.mga5
+ Revision: 682361
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.3-8.mga5
+ Revision: 628330
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.3-7.mga4
+ Revision: 542771
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.3-6.mga4
+ Revision: 497877
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jun 18 2013 philippem <philippem> 1.3-5.mga4
+ Revision: 444743
- fix postun

* Tue Jun 11 2013 philippem <philippem> 1.3-4.mga4
+ Revision: 441995
+ rebuild (emptylog)

* Wed Jun 05 2013 philippem <philippem> 1.3-3.1.mga4
+ Revision: 437715
+ rebuild (emptylog)

* Tue Jun 04 2013 philippem <philippem> 1.3-3.mga4
+ Revision: 437236
- add Requires to manage user hg

* Tue May 28 2013 philippem <philippem> 1.3-2.mga4
+ Revision: 429717
- Fix warning and error at install (#3770)

* Sun Feb 03 2013 kamil <kamil> 1.3-1.mga3
+ Revision: 394211
- new version 1.3
- clean .spec a bit

* Sat Jan 12 2013 umeabot <umeabot> 1.2-5.mga3
+ Revision: 359971
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 20 2012 lebedov <lebedov> 1.2-4.mga2
+ Revision: 232166
- Move installation of dot-mercurial-server from pre to post install.

* Wed Apr 18 2012 lebedov <lebedov> 1.2-3.mga2
+ Revision: 231453
- Fix path to dot-mercurial-server (#3770)

* Thu Mar 15 2012 lebedov <lebedov> 1.2-2.mga2
+ Revision: 223457
- Correct path to su (#3770).

* Wed Sep 28 2011 lebedov <lebedov> 1.2-1.mga2
+ Revision: 149682
- Update to 1.2.

* Tue Mar 08 2011 ennael <ennael> 0.6-2.mga1
+ Revision: 66497
- imported package mercurial-server


* Tue Nov 02 2010 Michael Scherer <misc@mandriva.org> 0.6-2mdv2011.0
+ Revision: 592414
- rebuild for python 2.7

* Fri Jul 24 2009 Lev Givon <lev@mandriva.org> 0.6-1mdv2010.0
+ Revision: 399525
- imported package mercurial-server


